This is the mail archive of the cygwin-apps mailing list for the Cygwin project.

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Re: [ITP] perl-5.8.8

Corinna Vinschen schrieb:
On Jun 28 21:32, Reini Urban wrote:
Corinna Vinschen schrieb:
On Jun 21 20:24, Reini Urban wrote:
Yitzchak Scott-Thoennes schrieb:
On Tue, June 19, 2007 7:24 pm, Reini Urban wrote:
I want to it take over from Gerrit.
Thank you so much. If it were up to me, you'd get three gold stars.

Please try to test it. It's a really weird build system.
But I'm quite happy with this 5.8.8
We had a routing problem this day. Please try again.

I'm just looking for the packaging itself. I'm not a perl programmer, so I assume you're looking for creating a actually *working* perl yourself ;)

Hmm, that's bad. Feedback from an actual perl programmer would be better.

Ok, that's what looks not quite ok to me:

- Your package pollutes the /usr/bin directory with two versions of
  *almost* every tool in the perl package, foo, foo5.8.8, bar, bar5.8.8,
  etc.  The former 5.8.7 package only created a perl5.8.8 parallel to
  the perl exe, but all other binaries were only available without
  versioning, same as in the Linux distros I have my hands on, btw.

This is intended and current practice for perl developers with a lot of different perl versions around to test their libraries against.
perl-5.8.7 didn't have the versioned binaries and scripts, but with 5.10 being very near I wanted to give the opportunity to test with parallel perl installations.
The big thing is only cygperl5_8.dll (only one) and a2p, the rest is small.

Usage example:
cpan5.8.8 installs into different paths than cpan5.9.5.

perldoc == perldoc5.8.8 displays the stable doc, while perldoc5.9.5 displays the current doc, which is different.

prove5.8.8 tests stable, prove5.9.5 tests "blead" (the current perl).

Almost, because there are two variances:

- ld2, perlld, ptar and ptardiff only exist in the non-versioned style.

Yes, that's ok. ld2 and perlld intentionally. And ptar, ptardiff due to an upstream bug. Hmm.

- psed and pstruct only exist in the versioned style.

Hmm. Strange upstream installer. A bug, but not important.

- ld2 is not available in the perl package for Linux.  Is that
  binary actually for public consumption?

Yes, ld2 is the windows-only ld wrapper.

- The directory /usr/lib/perl5/5.8/auto, present in 5.8.7, is missing.

Oops! POSIX/SigAction/*.al are needed! A packaging bug. No .packlist picked them up.

Everything else looks ok to me.

Please wait for -2. -- Reini Urban

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]